package org.q.app.engine.context;

import org.q.app.config.ConfigurableResources;
import org.q.app.config.ResourcePaths;

import com.google.inject.Inject;
import com.google.inject.Singleton;

/**
 * Stores bookmarks. The URL's the user wants to visit again.
 * 
 * @author Erik Lievaart
 */
@Singleton
public class BookmarkStore extends AbstractUserContext {

	@Inject
	BookmarkStore(final ConfigurableResources classpath) {
		super(classpath, ResourcePaths.BOOKMARK_STORE);
	}

}
