package org.q.app.ui.bind;

import javax.swing.Action;

import org.q.toolkit.convert.construct.AbstractConstructor;

import com.google.inject.Inject;

class EngineActionConstructor extends AbstractConstructor<Action> {

	private final EngineActionLoader factory;

	@Inject
	public EngineActionConstructor(final EngineActionLoader factory) {
		this.factory = factory;
	}

	@Override
	public Action constructObject(final String id) {
		return factory.getAction(id);
	}
}
