package org.q.app.ui.render.browser;

import java.awt.Color;

import org.q.app.ui.render.list.ColorFactory;

class VirtualFileColorFactory implements ColorFactory {

	@Override
	public Color getColor(final Object object) {
		VirtualFileWrapper file = (VirtualFileWrapper) object;
		boolean directory = file.getVirtualFile().isDirectory();
		return directory ? Color.BLUE : Color.BLACK;
	}
}
