package org.q.toolkit.swing.menu;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;

import org.q.toolkit.reflect.method.MethodWrapper;

public class NamedAction extends AbstractAction {

	private MethodWrapper method;
	private final String name;

	public NamedAction(String name, MethodWrapper methodWrapper) {
		super(name);
		this.name = name;
		this.method = methodWrapper;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		method.invoke();
	}

	public String getName() {
		return name;
	}
}
