package org.q.app.engine.convert;

import java.net.URI;
import java.net.URISyntaxException;

import org.q.toolkit.convert.construct.AbstractConstructor;

class URIConstructor extends AbstractConstructor<URI> {


	@Override
	public URI constructObject(final String str) {
		try {
			return new URI(str);
		} catch (URISyntaxException e) {
			throw new RuntimeException(e);
		}
	}

}
