package org.q.toolkit.convert.construct;

import org.q.toolkit.convert.ConversionException;

/**
 * Constructor for Boolean's.
 * 
 * @author Erik Lievaart
 */
public class BooleanConstructor extends AbstractConstructor<Boolean> {

	@Override
	public Boolean constructObject(final String str) throws ConversionException {
		ConversionException.on(str == null, "<null> cannot be converted to boolean");
		return Boolean.valueOf(str);
	}

}
