package org.q.toolkit.convert.construct;

import org.q.toolkit.convert.ConversionException;

/**
 * Constructor for constructing String's. Simply returns the value passed.
 * 
 * @author Erik Lievaart
 */
public class StringConstructor extends AbstractConstructor<String> {

	@Override
	public String constructObject(final String str) throws ConversionException {
		ConversionException.on(str == null, "<null> cannot be converted to boolean");
		return str;
	}

}
